import { Module } from '@nestjs/common';
import { {{Name}}sService } from './{{inputName}}s.service';
import { {{Name}}sController } from './{{inputName}}s.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { {{Name}}Schema, {{Name}}Model } from './models/schemas/{{inputName}}.schema';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: {{Name}}Model.name, schema: {{Name}}Schema }]),
  ],
  providers: [{{Name}}sService],
  controllers: [{{Name}}sController],
})
export class {{Name}}sModule {}
